import http from '@/http'

export const userList = data => http.post('/api/v1/user-info/list', data) // 用户列表搜索java
export const userEdit = data => http.post('api/v1/user-info/detail/edit', data) // 用户详情编辑java
export const userStatusSet = data => http.post('/api/v1/user-info/disable-enable', data) // 用户禁用/启用java
export const replaceLogin = data => http.post('/api/v1/user/auth/agent-login', data, { 'Content-Type': 'application/x-www-form-urlencoded' }) // 代登录
export const userDetail = data => http.post('/api/v1/user-info/detail', data) // 用户详情java
// export const del = data => http.post('/api/user/remove', data) // 删除用户
export const currentUserInfo = data => http.post('/api/v1/user-info/current-user-info', data) // 获取当前登录的用户信息
export const controlledRoles = data => http.post('/api/v1/user-info/controlled/role-list', data) // 获取用户可控角色列表

